/*
 * from WP core
 */
.components-range-picker__buttons {
  max-width: 248px;
  display: flex;
  justify-content: unst;
  align-items: center; }
  .components-range-picker__buttons .components-range-control__number {
    height: 30px;
    margin-left: 1rem; }
    .components-range-picker__buttons .components-range-control__number[value=""] + .components-button {
      cursor: default;
      opacity: 0.3;
      pointer-events: none; }

.components-range-picker__custom-input .components-range-control__slider + .dashicon {
  width: 30px;
  height: 30px; }

.components-range-picker__dropdown-content .components-button {
  display: block;
  position: relative;
  padding: 10px 20px 10px 40px;
  width: 100%;
  text-align: left; }
  .components-range-picker__dropdown-content .components-button .dashicon {
    position: absolute;
    top: calc(50% - 10px);
    left: 10px; }
  .components-range-picker__dropdown-content .components-button:hover {
    color: #191e23;
    border: none;
    box-shadow: none; }
  .components-range-picker__dropdown-content .components-button:focus {
    color: #191e23;
    border: none;
    box-shadow: none;
    outline-offset: -2px;
    outline: 1px dotted #555d66; }

.components-range-picker__buttons .components-range-picker__selector {
  border: 1px solid;
  background: none;
  position: relative;
  width: 110px;
  box-shadow: 0 0 0 transparent;
  transition: box-shadow 0.1s linear;
  border-radius: 4px;
  border: 1px solid #8d96a0; }
  .components-range-picker__buttons .components-range-picker__selector:focus {
    color: #191e23;
    border-color: #00a0d2;
    box-shadow: 0 0 0 1px #00a0d2;
    outline: 2px solid transparent;
    outline-offset: -2px; }
  .components-range-picker__buttons .components-range-picker__selector::after {
    content: "";
    pointer-events: none;
    display: block;
    width: 0;
    height: 0;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    border-top: 5px solid currentColor;
    margin-left: 4px;
    margin-right: 2px;
    right: 8px;
    top: 12px;
    position: absolute; }

/*
 * from WP core
 */
.range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button {
  display: inline-block;
  position: relative;
  padding: 10px 10px 10px 10px;
  width: 16.66%;
  height: 36px;
  text-align: center;
  height: unset;
  line-height: inherit; }
  .range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button .dashicon {
    position: absolute;
    top: calc(50% - 10px);
    left: 10px; }
  .range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button.is-primary:focus, .range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button.is-primary:hover, .range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button.is-primary {
    background-color: #191e23;
    color: #fff;
    border-width: 1px;
    border-top-style: solid;
    border-bottom-style: solid;
    border-top-color: #00648c;
    border-bottom-color: #00648c; }
  .range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button:hover {
    background-color: #e2e4e7;
    border-width: 1px; }
  .range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button:focus {
    color: #191e23;
    border: none;
    box-shadow: none;
    outline-offset: -2px;
    outline: 1px dotted #555d66; }
  .range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button.range-picker-animate-iterations-button-loop.has-text {
    width: 33.33%; }
    .range-picker-animate-iterations__dropdown-content.components-range-picker__dropdown-content .components-button.range-picker-animate-iterations-button-loop.has-text svg {
      margin-bottom: -5px; }
.range-picker-animate-iterations__dropdown-content .components-popover__content div[role=menu] button:last-of-type {
  width: 33.33%; }
.range-picker-animate-iterations__dropdown-content .components-popover__content div[role=menu] button:last-of-type svg {
  margin-right: 4px;
  margin-bottom: -6px; }

/*# sourceMappingURL=editor.css.map */
